#pragma once
#ifndef LEXESIS_BACKENDMANAGER_H
#define LEXESIS_BACKENDMANAGER_H

#include <memory>
#include <string>
#include <vector>

#include "Lexesis/backend.h"

namespace lxs {
    class BackendManager {
        public:
            void registerBackend(std::unique_ptr<Backend> backend);

            Backend* findBackendForLang(std::string lang);

        private:
            std::vector<std::unique_ptr<Backend> > m_backends;
    };
}

#endif //LEXESIS_BACKENDMANAGER_H
